org.gjt.sp.jedit.msg

## Class VFSPathSelected

- java.lang.Object
- - org.gjt.sp.jedit.EBMessage
  - - org.gjt.sp.jedit.msg.VFSPathSelected

-     public class VFSPathSelected
      extends EBMessage

  Message sent when a file system tree node, or a ProjectViewer tree node, is selected.
  Since:
    jEdit 4.3pre11

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VFSPathSelected(View source, java.lang.String path, boolean isDirectory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPath()`
    `View` | `getView()`
    `boolean` | `isDirectory()`

    - ### Methods inherited from class org.gjt.sp.jedit.EBMessage

      `getSource, paramString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VFSPathSelected

          public VFSPathSelected(View source,
                                 java.lang.String path,
                                 boolean isDirectory)

      Parameters:
        `source` - the View that is considered the "source" of this event
        `isDirectory` - true if the path is pointing to a folder, false if it's a regular file
        `path` - The selected path.

  - ### Method Detail

    - #### getView

          public View getView()

    - #### getPath

          public java.lang.String getPath()

      Returns:
        The selected URL (or file path).

    - #### isDirectory

          public boolean isDirectory()

      Returns:
        true if this is a directory node